Bug 648671 (CVE-2010-4082) - CVE-2010-4082 kernel: drivers/video/via/ioctl.c: reading uninitialized stack memory
Summary: CVE-2010-4082 kernel: drivers/video/via/ioctl.c: reading uninitialized stack ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-4082
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100915,reported=20101006,sou...
Depends On: 648717 648718 648719
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-01 21:28 UTC by Petr Matousek
Modified: 2019-06-08 18:39 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-04 23:15:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0958 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2010-12-08 19:08:55 UTC
Red Hat Product Errata RHSA-2011:0007 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-01-11 19:44:55 UTC

Description Petr Matousek 2010-11-01 21:28:19 UTC
Description of problem:
The VIAFB_GET_INFO device ioctl allows unprivileged users to read 1968 bytes of uninitialized stack memory, because the "reserved" member of the viafb_ioctl_info struct declared on the stack is not altered or zeroed before being copied back to the user.

Reference:
http://www.openwall.com/lists/oss-security/2010/10/06/6
http://lkml.indiana.edu/hypermail//linux/kernel/1009.1/03392.html

Acknowledgements:

Red Hat would like to thank Dan Rosenberg for reporting this issue.

Comment 2 Petr Matousek 2010-11-02 11:21:45 UTC
Statement:

This issue did not affect the versions of Linux kernel as shipped with Red Hat Enterprise Linux 3, 4, and 5 as they did not include support for VIA UniChrome (Pro) and Chrome9 graphics boards.

Comment 3 Eugene Teo (Security Response) 2010-11-04 07:34:24 UTC
Upstream commit:
http://git.kernel.org/linus/b4aaa78f4c2f9cde2f335b14f4ca30b01f9651ca

Comment 4 Kyle McMartin 2010-11-23 17:11:03 UTC
Already in stable {32,35,36}.

Comment 5 Kyle McMartin 2010-11-23 17:16:07 UTC
Oop, need it for F-13. Thanks!

Comment 6 errata-xmlrpc 2010-12-08 19:10:09 UTC
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2010:0958 https://rhn.redhat.com/errata/RHSA-2010-0958.html

Comment 7 errata-xmlrpc 2011-01-11 19:46:41 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0007 https://rhn.redhat.com/errata/RHSA-2011-0007.html


Note You need to log in before you can comment on or make changes to this bug.